Skip to main content
Contract / Payments

Get a list of contract payment structures

This method requires the ContractPaymentStructures:Get permission to be associated with your role.

GET
/fm/contract/payment-structures
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contract_idstringqueryrequired

Contract Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
payment_typeenum<string>query

Optional payment type filter. Omit or use all to return all payment types.

Available options: finance, comprehensive-insurance, finance-principal-interest, management-fee, roadside-assistance, sundry-payment
status_flagenum<string>querydefault:active

Optional filter by status flag. Default value is Active.

Available options: active, inactive
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size.

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1